# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(File/Spec/Functions.pm) perl(File/Which.pm) perl(IO/Socket/SSL.pm) perl(Mojo/Base.pm) perl(Mojo/JSON.pm) perl(Mojo/Util.pm) perl(Mojolicious.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Mojolicious-Command-bundle
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Bundle assets from other projects
Group: Development/Perl
License: artistic_2
URL: https://github.com/jhthorsen/mojolicious-command-bundle

Source0: http://cpan.org.ua/authors/id/J/JH/JHTHORSEN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
the Mojolicious::Command::bundle manpage is a command for fetching online
assets and bundle them with your project.

Bundling are done with `git', where the remote repository
is added to the current git project. The files are then copied into a
`assets/vendor/some-repository' directory. Updating the files to the
latest remote version is as easy as running the same command again, or
optionally with a different version.

The git process is *not* accomplised using submodules, nor subtree. The
reason is that it seems a lot more flexible being able to jump between
branches and tags as you like.

Please submit
and issue if you have defined your own the custom entry elsewhere in this document repository.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/M*

%changelog
* Mon Nov 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

